import {
  IconAlignC,
  IconAlignL,
  IconAlignR,
  IconClear,
  IconCroperr,
  IconCross,
  IconFloatOff,
  IconFloatOn,
  IconLayerDown,
  IconLayerUp,
  IconQueen,
  IconRight,
  IconAi,
  IconSave,
  IconUngroup,
  IconGroup,
} from "@/assets/icons";
import {
  IconCamera,
  IconCube,
  IconDelete,
  IconEdit,
  IconEyeOff,
  IconEyeOn,
  IconLock,
  IconRedo,
  IconUndo,
  IconUnlock,
} from "@queenjs/icons";
import { createTipIcon } from "./create";

export const TipIcons = {
  QueenService: createTipIcon({
    icons: [IconQueen],
    tips: ["3dqueen服务"],
  }),
  Screenshot: createTipIcon({
    icons: [IconCamera],
    tips: ["截屏并保存封面"],
  }),
  AiText: createTipIcon({
    icons: [IconAi],
    tips: ["Ai文案"],
  }),
  Align: createTipIcon({
    icons: [IconAlignL, IconAlignC, IconAlignR],
    tips: ["左对齐", "居中", "右对齐"],
  }),
  Edit: createTipIcon({
    icons: [IconEdit],
    tips: ["编辑"],
  }),
  
  Position: createTipIcon({
    icons: [IconFloatOff, IconFloatOn],
    tips: ["开启浮动", "关闭浮动"],
  }),
  Visible: createTipIcon({
    icons: [IconEyeOn, IconEyeOff],
    tips: ["显示", "隐藏"],
  }),
  Lock: createTipIcon({
    icons: [IconLock, IconUnlock],
    tips: ["锁定", "未锁定"],
  }),
  Delete: createTipIcon({
    icons: [IconDelete],
    tips: ["删除"],
  }),
  FullWidth: createTipIcon({
    icons: [IconCube],
    tips: ["全屏宽度"],
  }),
  ClearTransform: createTipIcon({
    icons: [IconClear],
    tips: ["清除变换"],
  }),
  Undo: createTipIcon({
    icons: [IconUndo],
    tips: ["撤销(Ctrl+Z)"],
  }),
  Redo: createTipIcon({
    icons: [IconRedo],
    tips: ["重做(Ctrl+Shift+Z)"],
  }),
  LayerUp: createTipIcon({
    icons: [IconLayerUp],
    tips: ["层级上移"],
  }),
  LayerDown: createTipIcon({
    icons: [IconLayerDown],
    tips: ["层级下移"],
  }),
  ParentComp: createTipIcon({
    icons: [IconLayerUp],
    tips: ["切换到父组件"],
  }),
  SaveAsComp: createTipIcon({
    icons: [IconSave],
    tips: ["保存为组件"],
  }),
  CancelGroup: createTipIcon({
    icons: [IconUngroup],
    tips: ["取消打组"],
  }),
  CreateGroup: createTipIcon({
    icons: [IconGroup],
    tips: ["打组"],
  }),
  Cross: createTipIcon({
    icons: [IconCross],
    tips: ["取消"],
  }),
  Right: createTipIcon({
    icons: [IconRight],
    tips: ["确定"],
  }),
  Cropper: createTipIcon({
    icons: [IconCroperr],
    tips: ["裁剪"],
  }),
};
